@import url('https://fonts.googleapis.com/css?family=Roboto+Mono');


.content-overview {
    text-align: center;
    font-weight: normal;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-content: flex-start;
}

.content-overview h1 {
    font-family: 'Roboto Mono';
}

.flip {
    margin: 20px;
    position: relative;
}

.flip .front {
    display: flex;
    justify-content: center;
    align-items: center;
}

.flip>.front,
.flip>.back {
    transition-timing-function: cubic-bezier(0.175, 0.885, 0.32, 1.275);
    transition-duration: 0.5s;
    transition-property: transform, opacity;
}

.flip>.front {
    transform: rotateY(0deg);
}

.flip>.back {
    position: absolute;
    opacity: 0;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    background-color: #313131;
    transform: rotateY(-180deg);
}

.flip:hover>.front {
    transform: rotateY(180deg);
}

.flip:hover>.back {
    opacity: 1;
    transform: rotateY(0deg);
}

.flip.flip-vertical>.back {
    transform: rotateX(-180deg);
}

.flip.flip-vertical:hover>.front {
    transform: rotateX(180deg);
}

.flip.flip-vertical:hover>.back {
    transform: rotateX(0deg);
}

.flip>.front,
.flip>.back {
    color: white;
    width: 400px;
    height: 180px;
    background-size: cover;
    background-position: center;
    padding: 1em 2em;
    border-radius: 10px;
    cursor: pointer;
}

.flip>.front p,
.flip>.back p {
    font-size: 0.9125rem;
    line-height: 160%;
    color: #999;
}

.text-shadow {
    text-shadow: 1px 1px rgba(0, 0, 0, 0.04), 2px 2px rgba(0, 0, 0, 0.04), 
    3px 3px rgba(0, 0, 0, 0.04), 4px 4px rgba(0, 0, 0, 0.04), 
    0.125rem 0.125rem rgba(0, 0, 0, 0.04), 6px 6px rgba(0, 0, 0, 0.04);
}

.dna {
    background-image: url('../../assets/images/dna.svg');
    background-position: center;
    background-repeat: no-repeat;
    position: absolute;
    z-index: -1;
    inset: 40% 72%;
    opacity: .4;
    width: 100px;
    height: 100px;
}

.protein {
    background-image: url('../../assets/images/prot_struct.svg');
    background-position: center;
    background-repeat: no-repeat;
    position: absolute;
    z-index: -1;
    inset: 40% 72%;
    opacity: .4;
    width: 100px;
    height: 100px;
} 

.aa-table {
    background-image: url('../../assets/images/aa_table_black.svg');
    background-position: center;
    background-repeat: no-repeat;
    background-size: auto auto;
    position: absolute;
    z-index: -1;
    inset: 40% 72%;
    opacity: .4;
    width: 100px;
    height: 100px;
} 